REST API ReferenceDashboard APIPrefs
Fetch the current user's notification preferences
GET
/prefs/notifPrefsFetch notification preferences for the current user. These preferences control which types of email notifications the user receives.
Authorization
bearerAuth AuthorizationBearer <token>
User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Response Body
application/json
curl -X GET "https://example.com/prefs/notifPrefs"{ "error_spike": true, "app_hang_spike": true, "bug_report": true, "daily_summary": true, "created_at": "2024-01-01T00:00:00Z", "updated_at": "2024-01-01T00:00:00Z"}Empty
Empty
Empty
Empty
Empty
Think this page can be better?
Open an issue